> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get AI gateway configuration.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/ai-gateways/{gatewayId}
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/ai-gateways/{gatewayId}:
    get:
      tags:
        - aiGateways
      summary: Get
      description: Get AI gateway configuration.
      operationId: aiGateways.get
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: gatewayId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: AI gateway.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  environment:
                    type: string
                  allowedModels:
                    type: array
                    items:
                      type: string
                      enum:
                        - korve/fast
                        - korve/balanced
                        - korve/reasoning
                  monthlyBudgetUsd:
                    type: number
                  timeoutMs:
                    type: integer
                  maxRetries:
                    type: integer
                  redactPrompts:
                    type: boolean
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - name
                  - environment
                  - allowedModels
                  - monthlyBudgetUsd
                  - timeoutMs
                  - maxRetries
                  - redactPrompts
                  - createdAt
                  - updatedAt
                additionalProperties: false
        '404':
          description: No such gateway.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````